## akonadi 1.7.2

=== libs/CMakeLists.txt ===
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )

configure_file( akonadiprotocolinternals_export.h.in ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h )

# libakonadiprotocolinternals
set( akonadiprotocolinternals_srcs
  imapparser.cpp
  imapset.cpp
  notificationmessage.cpp
  xdgbasedirs.cpp
)

add_library( akonadiprotocolinternals ${LIBRARY_TYPE} ${akonadiprotocolinternals_srcs} )

target_link_libraries( akonadiprotocolinternals ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
set_target_properties( akonadiprotocolinternals PROPERTIES
                        VERSION ${AKONADI_VERSION}
                        SOVERSION ${AKONADI_VERSION_MAJOR}
                        DEFINE_SYMBOL MAKE_AKONADIPROTOCOLINTERNALS_LIB
                      )

install( TARGETS akonadiprotocolinternals EXPORT akonadiLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES
  ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h 
  imapparser_p.h
  imapset_p.h
  notificationmessage_p.h
  protocol_p.h
  xdgbasedirs_p.h
  capabilities_p.h
  DESTINATION ${AKONADI_INCLUDE_DIR}/akonadi/private
)

add_subdirectory( tests )

=== rds/CMakeLists.txt ===
project(akonadi_rds)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )
set( AKONADI_PROTOCOLINTERNALS_LIBS ${akonadiprotocolinternals_LIB_DEPENDS} akonadiprotocolinternals)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
########### next target ###############

set( akonadi_rds_srcs
  bridgeserver.cpp
  bridgeconnection.cpp
  main.cpp
)

automoc4_add_executable(akonadi_rds ${akonadi_rds_srcs})

target_link_libraries(akonadi_rds akonadi_shared ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${AKONADI_PROTOCOLINTERNALS_LIBS} ${Boost_PROGRAM_OPTIONS_LIBRARY})

install(TARGETS akonadi_rds DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
akonadi (1.7.2-3) unstable; urgency=low

  * Team upload.
  * akonadi-backend-mysql: depend on a real mysql-server-core-5.5 before the
    virtual mysql-server-core. This should help apt in really choosing -mysql
    when upgrading from squeeze. (Closes: #686147, #702919)

 -- Pino Toscano <pino@debian.org>  Tue, 26 Mar 2013 20:02:38 +0100

akonadi (1.7.2-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change [General] to [%General] in README.Debian (Closes: #688236).
    Thanks Alexander Wuerstlein for noticing.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Dec 2012 11:07:57 +0100

akonadi (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Drop x11_not_required.diff, no longer needed as internal FindQt4 was
    dropped.
  * Disable tests which require an active DBus daemon. It is not available on
    buildds (patch disable_dbus_requiring_tests.diff).
  * Bump Standards-Version to 3.9.3: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 23:41:01 +0300

akonadi (1.6.2-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Sune Vuorela ]
  * Kill the odbc package. It won't currently work.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 05 Mar 2012 10:09:22 +0100

akonadi (1.6.2-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Add a watch file.
  * Use DEB_*_MAINT_APPEND instead of setting CFLAGS/CXXFLAGS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 01 Dec 2011 17:18:06 +0100

akonadi (1.3.1-3+squeeze1) stable-proposed-updates; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:50:31 +0300

=== debian/control ===
Source: akonadi
Section: libs
Priority: extra
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
 Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
 libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
 libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
 libsqlite3-dev
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/akonadi.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/akonadi.git

Package: akonadi-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) |
 akonadi-backend-postgresql (= ${source:Version})
Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
 akonadi-backend-postgresql (= ${source:Version})
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}), libboost-dev
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: ${misc:Depends}, mysql-server-core-5.5 | mysql-server-core, libqt4-sql-mysql
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-psql
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld \
	    -DCONFIG_INSTALL_DIR=/etc

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=akonadi-dbg

## akonadi 1.8.0

=== debian/changelog ===
akonadi (1.8.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:04:21 +0100

akonadi (1.7.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 12:09:55 +0100

akonadi (1.7.2-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 19:27:56 -0400

akonadi (1.7.2-0ubuntu2) quantal; urgency=low

  * No change rebuild for boost 1.49 transition

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 May 2012 20:28:00 +0100

akonadi (1.7.2-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 21:52:32 +0200

akonadi (1.7.0-0ubuntu3) precise; urgency=low

  * make akonadi-server require the mysql backend. It's the only one really
    supported upstream and as the default backend has to be installed.
    (LP: #923189)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 18:49:42 +0200

akonadi (1.7.0-0ubuntu2) precise; urgency=low

  * Add build-dep on dh-apparmor (LP: #948481)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Mar 2012 22:22:17 +0100

akonadi (1.7.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove x11_not_required.diff, file no longer shipped
  * Disable test suite in debian/rules, it requires dbus

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Jan 2012 23:43:13 +0000

akonadi (1.6.2-1ubuntu1) precise; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 04 Dec 2011 21:06:19 +0100

akonadi (1.6.2-0ubuntu3) precise; urgency=low

  * Change dependency on client/server to 5.5

 -- Clint Byrum <clint@ubuntu.com>  Sun, 27 Nov 2011 01:49:35 -0800

akonadi (1.6.2-0ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:49:27 -0800

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: akonadi
 Section: libs
 Priority: extra
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
  Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
  libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
  libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
- libsqlite3-dev
+ libsqlite3-dev, dh-apparmor
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/akonadi.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/akonadi.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
 
 Package: akonadi-server
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) |
- akonadi-backend-postgresql (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, akonadi-backend-mysql (= ${source:Version})
 Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
  akonadi-backend-postgresql (= ${source:Version})
 Description: Akonadi PIM storage service
@@ -57,7 +56,7 @@
 Package: akonadi-backend-mysql
 Section: misc
 Architecture: all
-Depends: ${misc:Depends}, mysql-server-core-5.5 | mysql-server-core, libqt4-sql-mysql
+Depends: ${misc:Depends}, mysql-server-core-5.5, mysql-client-core-5.5, libqt4-sql-mysql
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
 Breaks: akonadi-server (<< 1.3.60~)

## akonadi 1.8.1

=== debian/changelog ===
akonadi (1.8.1-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream bugfix release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 22:33:47 +0100

## akonadi 1.9.0

=== debian/changelog ===
akonadi (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:11:34 +0100

akonadi (1.8.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:16:10 +0000

akonadi (1.8.1-0ubuntu0.1~ppa2) quantal; urgency=low

  * New upstream bugfix release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 05 Nov 2012 22:33:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld \
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
 	    -DCONFIG_INSTALL_DIR=/etc
 
 override_dh_installdocs:
@@ -23,3 +23,7 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=akonadi-dbg
+
+override_dh_installinit:
+	$(overridden_command)
+	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

## akonadi 1.9.1

=== CMakeLists.txt ===
project(Akonadi)

cmake_minimum_required(VERSION 2.8.8 FATAL_ERROR)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${Akonadi_SOURCE_DIR}/cmake/modules")

# Enable CMake's Automoc
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Used to report the packages we found
include(FeatureSummary)

############### Build Options ###############

include(CTest)
include(CTestConfig.cmake)
option(AKONADI_BUILD_TESTS "Build the Akonadi unit tests." TRUE)
option(AKONADI_BUILD_QSQLITE "Build the Sqlite backend." TRUE)
option(AKONADI_USE_STRIGI_SEARCH "Build Akonadi with strigi as search engine." FALSE)
option(INSTALL_QSQLITE_IN_QT_PREFIX "Install the QSQLite plugin in QT_PLUGIN_DIR" FALSE)
option(STATIC_LIBRARY "Build Akonadi as a static library." FALSE)

if(NOT DEFINED DATABASE_BACKEND)
  set(DATABASE_BACKEND "MYSQL" CACHE STRING "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE")
endif()

if(AKONADI_BUILD_TESTS)
  enable_testing()
endif()

if(AKONADI_USE_STRIGI_SEARCH)
  set(AKONADI_DEFINITIONS "-DAKONADI_USE_STRIGI_SEARCH")
  add_definitions(${AKONADI_DEFINITIONS})
  set(SOPRANO_TYPE "OPTIONAL")
 else()
  set(SOPRANO_TYPE "REQUIRED")
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
   set(CMAKE_CXX_FLAGS_DEBUGFULL      "-g3 -fno-inline" CACHE STRING
       "Flags used by the C++ compiler during debugfull builds." FORCE)

   set(CMAKE_C_FLAGS_DEBUGFULL        "-g3 -fno-inline" CACHE STRING
       "Flags used by the C compiler during debugfull builds." FORCE)

   mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGFULL CMAKE_C_FLAGS_DEBUGFULL)

   # Update the documentation string of CMAKE_BUILD_TYPE for ccache & cmake-gui
   set(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
       "Choose the type of build, options are: None debugfull Debug Release RelWithDebInfo MinSizeRel."
       FORCE)
endif()

############### CMake Macros ###############

include(InstallSettings)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(MacroWriteBasicCMakeVersionFile)

############### CTest options ###############
# Set a timeout value of 1 minute per test
set(DART_TESTING_TIMEOUT 60)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

############### The Akonadi version (used in AkonadiConfig.cmake) ###############

set(AKONADI_VERSION_MAJOR "1")
set(AKONADI_VERSION_MINOR "9")
set(AKONADI_VERSION_PATCH "1")
set(AKONADI_VERSION "${AKONADI_VERSION_MAJOR}.${AKONADI_VERSION_MINOR}.${AKONADI_VERSION_PATCH}")
set(AKONADI_VERSION_STRING "${AKONADI_VERSION}")

# If Git is installed and a '.git' directory is found,
# we append the Git revision to AKONADI_VERSION_STRING
if(EXISTS "${Akonadi_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${Akonadi_SOURCE_DIR}
                    OUTPUT_VARIABLE akonadi_git_revision)
    string(REGEX REPLACE "\n" "" akonadi_git_revision "${akonadi_git_revision}")
    set(AKONADI_VERSION_STRING "${AKONADI_VERSION_STRING} (revision: ${akonadi_git_revision})")
  endif()
endif()


############### Macros ###############

macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if(IS_ABSOLUTE "${in}")
      set(${out} "${in}")
   else()
      set(${out} "\${AKONADI_INSTALL_DIR}/${in}")
   endif()
endmacro()


macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE3)
        set(AKONADI_BUILD_QSQLITE TRUE)
    else()
        if("${_backend}" STREQUAL "POSTGRES")
          set(AKONADI_DATABASE_BACKEND QPSQL)
        else()
          set(AKONADI_DATABASE_BACKEND QMYSQL)
        endif()
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})


############### Find what we need ###############

#### Qt 4 and 5 ####
set(QT_USE_IMPORTED_TARGETS TRUE) # Qt 4 only
set(QT_MIN_VERSION 4.6.0)         # Qt 4 only

find_package(Qt5Core QUIET)
if (Qt5Core_FOUND)
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Sql REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)
  find_package(Qt5DBus REQUIRED)
  find_package(Qt5Test REQUIRED)
  set(QT5_BUILD TRUE)

  include("cmake/modules/ECMQt4To5Porting.cmake")
  include_directories(${QT_INCLUDES}) # TODO: Port away from this.

  if (CMAKE_VERSION VERSION_LESS 2.8.9)
    message(FATAL_ERROR "Akonadi Qt 5 build requires at least CMake version 2.8.9")
  endif()

  set(QT_QTTEST_LIBRARIES Qt5::Test)
else()
  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif()

if (Qt5_POSITION_INDEPENDENT_CODE)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

# Missing in FindQt4.cmake until Dec 2011: setting QT_NO_DEBUG_OUTPUT
if(CMAKE_BUILD_TYPE)
  string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
endif()

if(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
   add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

# FIXME
if(NOT QT5_BUILD)
    if(WINCE)
        find_package(Wcecompat REQUIRED)
        set(QT_DBUSCPP2XML_EXECUTABLE ${HOST_BINDIR}/qdbuscpp2xml.exe)
        set(QT_DBUSXML2CPP_EXECUTABLE ${HOST_BINDIR}/qdbusxml2cpp.exe)
        set(STATIC_LIBRARY ON)
    endif()
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  set(AKONADI_STATIC_LIBS ON)
  message(STATUS "Building Akonadi as a static library")
else()
  set(LIBRARY_TYPE SHARED)
endif()

#### Soprano ####
set(SOPRANO_MIN_VERSION 2.7.56)
if(NOT WINCE)
  find_package(Soprano)
endif()

set_package_properties(Soprano PROPERTIES
                       URL "http://soprano.sourceforge.net"
                       DESCRIPTION "Storage of semantic data"
                       TYPE ${SOPRANO_TYPE}
                       PURPOSE "Soprano is needed for the Nepomuk search backend"
)

#### SMI ####
set(SMI_MIN_VERSION "0.20")
find_package(SharedMimeInfo ${SMI_MIN_VERSION})
set_package_properties(SharedMimeInfo PROPERTIES
                       URL "http://freedesktop.org/wiki/Software/shared-mime-info"
                       DESCRIPTION "File types database and utilities"
                       TYPE REQUIRED
)

#### XSLTProc ####
find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
  message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

if(WINCE)
  set(XSLTPROC_EXECUTABLE "${HOST_BINDIR}/xsltproc.exe")
endif()

#### Boost ####
# In CMake >= 2.8.6, FindBoost.cmake tries to find BoostConfig.cmake which is
# not compatible with CMake's FindBoost. Disable this function.
set(Boost_NO_BOOST_CMAKE TRUE)

if(MSVC)
  set(_ENABLE_EXCEPTIONS -EHsc)
endif()

if(NOT WINCE)
    find_package(Boost COMPONENTS program_options)
    set_package_properties(Boost PROPERTIES
                           URL "http://www.boost.org"
                           DESCRIPTION "The Boost C++ Libraries"
                           TYPE REQUIRED
                           PURPOSE "Akonadi requires the Boost C++ libraries (program_options)"
    )
endif()

# should be handled by FindBoost.cmake ->  cmake bug #8335
if(WIN32 AND NOT Boost_USE_STATIC_LIBS)
  add_definitions(-DBOOST_DYN_LINK)
  add_definitions(-DBOOST_PROGRAM_OPTIONS_DYN_LINK)
endif()


#### Sqlite ####
# If Sqlite is the default backend, it cannot be optional.
if("${DATABASE_BACKEND}" STREQUAL "SQLITE")
  set(SQLITE_TYPE "REQUIRED")
else()
  set(SQLITE_TYPE "OPTIONAL")
endif()

if(AKONADI_BUILD_QSQLITE)
  set(SQLITE_MIN_VERSION 3.6.23)
  find_package(Sqlite ${SQLITE_MIN_VERSION})
  set_package_properties(Sqlite PROPERTIES
                         URL "http://www.sqlite.org"
                         DESCRIPTION "The Sqlite database library"
                         TYPE ${SQLITE_TYPE}
                         PURPOSE "Required by the Sqlite backend"
  )
endif()

############### Compilers flags ###############

option(CMAKE_COMPILE_GCOV "Build with coverage support." FALSE)
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  set(_ENABLE_EXCEPTIONS -fexceptions)
  set(CMAKE_C_FLAGS    "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common" CACHE STRING "Flags used by the compiler during all build types" FORCE)
  set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common" CACHE STRING "Flags used by the compiler during all build types" FORCE)
  if(CMAKE_COMPILE_GCOV)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
      set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
    endif()
  endif()
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


############### Configure checks ###############

set(AKONADI_SYSTEM_LIBS)

check_include_files(execinfo.h HAVE_EXECINFO_H)
if(HAVE_EXECINFO_H)
  check_function_exists(backtrace BACKTRACE_IN_LIBC)
  if(NOT BACKTRACE_IN_LIBC)
    find_library(EXECINFO_LIBRARY NAMES execinfo)
    if(EXECINFO_LIBRARY)
      set(AKONADI_SYSTEM_LIBS ${AKONADI_SYSTEM_LIBS} ${EXECINFO_LIBRARY})
    endif()
  endif()
endif()

check_include_files(unistd.h HAVE_UNISTD_H)

# set the output paths
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if(WIN32)
  set(LIBRARY_OUTPUT_PATH   ${EXECUTABLE_OUTPUT_PATH})
else()
  set(LIBRARY_OUTPUT_PATH   ${CMAKE_BINARY_DIR}/lib)
endif()

# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory, but only if this directory is not a default system library directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")

if(NOT DEFINED AKONADI_BUNDLE_PATH)
  set(AKONADI_BUNDLE_PATH "/Applications/KDE4")
endif()

if(APPLE)
   message(STATUS "MacOS Bundle Path: ${AKONADI_BUNDLE_PATH}")
   set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
endif()

############### Prepare AkonadiConfig.cmake ###############

# all the following variables are put into AkonadiConfig.cmake, so
# they are usable by projects using Akonadi.
make_install_path_absolute(AKONADI_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(AKONADI_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(AKONADI_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(AKONADI_CONFIG_DIR          ${CONFIG_INSTALL_DIR})

=== debian/changelog ===
akonadi (1.9.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Apr 2013 22:49:18 +0100

## akonadi 1.10.3

=== debian/changelog ===
akonadi (1.10.3-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release (LP: #1236394)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 07 Oct 2013 16:39:34 +0200

akonadi (1.10.2-0ubuntu2) saucy; urgency=low

  * Set INSTALL_QSQLITE_IN_QT_PREFIX=TRUE so the sqlite3 driver is installed
    in a place where qt4 can find it (LP: #1218820)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Sep 2013 22:54:09 +0200

akonadi (1.10.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release (LP: #1218847)

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 30 Aug 2013 19:18:01 +0800

akonadi (1.10.1-0ubuntu1) saucy; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 23 Jul 2013 19:16:46 +0200

akonadi (1.9.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update symbols
    - Install asapcat with akonadi-server for now
    - Install notificationmessagev2_p.h with -dev package
    - Refresh disable_dbus_requiring_tests.diff

  [ Philip Muškovac ]
  * libkonadi-dev needs to depend on akonadi-server for the dbus service 

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Jun 2013 08:46:15 +0100

akonadi (1.9.1-2ubuntu1) saucy; urgency=low

  * Merge with debian experimental, remaining changes: 
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 30 Apr 2013 22:39:32 +0200

akonadi (1.9.1-2) experimental; urgency=low

  * Merge in the uploads to unstable.

 -- Sune Vuorela <sune@debian.org>  Tue, 02 Apr 2013 22:52:29 +0200

akonadi (1.9.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update disable_dbus_requiring_tests.diff; some tests were added and
    some of them need D-Bus.
  * Update installed files.

  [ Sune Vuorela ]
  * Add mysql-server-core to Build-Depends so it can be used by the test suite

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 17:00:16 +0100

akonadi (1.9.1-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:39 +0100

akonadi (1.8.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Nov 2012 23:00:43 -0400

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,8 @@
 Package: libakonadi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}), libboost-dev
+Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}),
+ libboost-dev, akonadi-server
 Suggests: pkg-config
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_configure:
 	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
-	    -DCONFIG_INSTALL_DIR=/etc
+	    -DCONFIG_INSTALL_DIR=/etc \
+	    -DINSTALL_QSQLITE_IN_QT_PREFIX=TRUE
 
 override_dh_installdocs:
 	# Install README.Debian to backend packages
